2018-07-23 17:42 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005385GNUnetcadet servicepublic2018-07-10 13:17
ReporterChristian Grothoff 
Assigned ToBart Polot 
PrioritynormalSeverityminorReproducibilityN/A
StatusassignedResolutionopen 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version 
Summary0005385: gnunet_cadet_service.h monitoring functions use bad API
DescriptionWe should have a proper asynchronous API with _cancel_ functions and separate (!) handles and separate (!) unix domain sockets/message queues for _each_ monitoring operation.

Basically, functions like CADET_get_tunnel() should take a CFG object and return a handle, and have a CADET_get_tunnel_cancel() (which just destroys the MQ).

This design change applies to get_tunnels, get_tunnel(), get_peers(), request_dump(), and if possible also to get_channel() -- but here we need to fix the need for the channel_number which AFAIK is CADET_Handle-specific. Maybe something where we iterate over all channels to a particular peer?

Also, the CADET_ChannelCB should likely be modified to not pass a bunch of arguments (root, dest, 4x uint32_) but instead _one_ 'const struct ChannelInfo' that contains all of these arguments as fields (more extensible!).
Additional InformationThis should be prioritized as good monitoring will help diagnose the other issues. Things like # pending messages (flow control) for better understanding 0005370 might also be added.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2018-07-03 14:09 Christian Grothoff New Issue
2018-07-03 14:09 Christian Grothoff Status new => assigned
2018-07-03 14:09 Christian Grothoff Assigned To => Bart Polot
2018-07-07 00:26 Christian Grothoff Target Version => 0.11.0
+Issue History